| RNAstructure Classes Version 6.2

Functions | Variables
ProbScan.cpp File Reference
`#include "../src/pfunction.h"`
`#include "ProbScan.h"`
`#include "../src/structure.h"`
`#include <algorithm>`
`#include <functional>`
`#include <numeric>`
`#include <iomanip>`
`#include <assert.h>`
`#include <cmath>`

## Functions
basestack_t | basestack (double p, int i, int j, int k, int l)
PFPRECISION | prev_val (int index, int offset, vector< vector< PFPRECISION > > &arr)
hairpin_t | hairpin (double p, int i, int j)
internal_loop_t | internal_loop (double p, int i, int j, int k, int l)
multibranch_loop_t | multibranch_loop (int i, int j)
void | add_branch (multibranch_loop_t &mb, int k, int l)
void | show_hairpins (vector< hairpin_t > hairpins)
void | show_internal_loops (vector< internal_loop_t > internals)
void | show_bulge_loops (vector< internal_loop_t > internals)
void | show_stacks (vector< basestack_t > stacks)
void | show_mb_element_array (vector< mb_element > e)
void | show_mbl (multibranch_loop_t mb)

## Variables
static const int | inc [6][6] ={{0,0,0,0,0,0},{0,0,0,0,1,0},{0,0,0,1,0,0},{0,0,1,0,1,0},{0,1,0,1,0,0},{0,0,0,0,0,0}}
static const int | max_internal_loop =30

## Function Documentation

## ◆ add_branch()

void add_branch | ( | multibranch_loop_t & | mb,
|  | int | k,
|  | int | l
| ) |  |

## ◆ basestack()

basestack_t basestack | ( | double | p,
|  | int | i,
|  | int | j,
|  | int | k,
|  | int | l
| ) |  |

## ◆ hairpin()

hairpin_t hairpin | ( | double | p,
|  | int | i,
|  | int | j
| ) |  |

## ◆ internal_loop()

internal_loop_t internal_loop | ( | double | p,
|  | int | i,
|  | int | j,
|  | int | k,
|  | int | l
| ) |  |

## ◆ multibranch_loop()

multibranch_loop_t multibranch_loop | ( | int | i,
|  | int | j
| ) |  |

## ◆ prev_val()

PFPRECISION prev_val | ( | int | index,
|  | int | offset,
|  | vector< vector< PFPRECISION > > & | arr
| ) |  |

## ◆ show_bulge_loops()

void show_bulge_loops | ( | vector< internal_loop_t > | internals | ) |

## ◆ show_hairpins()

void show_hairpins | ( | vector< hairpin_t > | hairpins | ) |

## ◆ show_internal_loops()

void show_internal_loops | ( | vector< internal_loop_t > | internals | ) |

## ◆ show_mb_element_array()

void show_mb_element_array | ( | vector< mb_element > | e | ) |

## ◆ show_mbl()

void show_mbl | ( | multibranch_loop_t | mb | ) |

## ◆ show_stacks()

void show_stacks | ( | vector< basestack_t > | stacks | ) |

## Variable Documentation

## ◆ inc

const int inc[6][6] ={{0,0,0,0,0,0},{0,0,0,0,1,0},{0,0,0,1,0,0},{0,0,1,0,1,0},{0,1,0,1,0,0},{0,0,0,0,0,0}}
| static

## ◆ max_internal_loop

const int max_internal_loop =30
| static